# Uses of Interface
org.apache.avro.util.SchemaVisitor

Packages that use SchemaVisitor
Package
Description
org.apache.avro.util
Common utility classes.

## Uses of SchemaVisitor in org.apache.avro.util

Classes in org.apache.avro.util that implement SchemaVisitor
Modifier and Type
Class
Description
`static final class`
`SchemaResolver.IsResolvedSchemaVisitor`
This visitor checks if the current schema is fully resolved.
`static final class`
`SchemaResolver.ResolvingVisitor`
This visitor creates clone of the visited Schemata, minus the specified schema properties, and resolves all unresolved schemas.
Methods in org.apache.avro.util with parameters of type SchemaVisitor
Modifier and Type
Method
Description
`static <T> T`
Schemas.`visit(Schema start, SchemaVisitor<T> visitor)`
Depth first visit.